Create an order

Creates a paid order (status Waiting). The customer is matched by email on the website, or created with the provided billing / shipping addresses; for an existing customer, the addresses already stored on the account are used. Nested objects reject unknown fields.

Business errors are returned with HTTP 200 and success: false: error is an array of messages for field validation errors, or an object { "message": "..." } for other errors.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
length between 1 and 13

Order number to use (generated if omitted)

string
required

Format (YYYY-MM-DD HH:II:SS)

number
required
≥ 0

Sum of orderItems amounts + orderShippingFees (compared rounded to 2 decimals). When 0, the payment method is forced to "free order".

number
required
> 0

VAT percent

number
required
≥ 0
string
required

ISO 4217 currency code, must be configured on the instance

string
enum
required
Allowed:
string
enum

Unknown values are ignored (standard order). Forced to Marketplace when the payment method is linked to a marketplace.

Allowed:
string
length ≥ 1

Must be an existing promo code

metadata
object
context
object

Applied only when both fields are provided

carrier
object
required
transaction
object
required
payment_method
object
required
website
object
required
customer
object
required
billingAddress
object
required
shippingAddress
object
required
orderItems
array of objects
required
orderItems*
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json